# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "lnurlp"
version = "0.10.0-beta.4"
authors = ["The Fedimint Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tiny command line tool to fetch BOLT11 invoices from LNURLs"
homepage = "https://fedimint.org"
documentation = "https://github.com/fedimint/fedimint/tree/master/docs"
readme = "README.md"
keywords = [
    "bitcoin",
    "lightning",
    "lnurl",
]
license = "MIT"
repository = "https://github.com/fedimint/fedimint"
resolver = "2"

[[bin]]
name = "lnurlp"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.clap]
version = "4.5.41"
features = [
    "derive",
    "env",
]

[dependencies.fedimint-core]
version = "=0.10.0-beta.4"

[dependencies.lightning-invoice]
version = "0.33.2"
features = ["std"]

[dependencies.lnurl-rs]
version = "0.9.0"
features = ["async"]
default-features = false

[dependencies.reqwest]
version = "0.12.22"
features = [
    "json",
    "rustls-tls",
    "charset",
    "http2",
    "stream",
]
default-features = false

[dependencies.tokio]
version = "1.48.0"

[lints.clippy]
dbg_macro = "deny"
literal_string_with_formatting_args = "deny"
